Query T2A Async V2 Task Status
curl --request GET \
--url https://api.minimax.io/v1/query/t2a_async_query_v2 \
--header 'Authorization: Bearer <token>'{
"task_id": 95157322514444,
"status": "Processing",
"file_id": 95157322514496,
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}T2A Async
Query Speech Generation Task Status
Use this API to query the status of an asynchronous Text-to-Speech task.
GET
/
v1
/
query
/
t2a_async_query_v2
Query T2A Async V2 Task Status
curl --request GET \
--url https://api.minimax.io/v1/query/t2a_async_query_v2 \
--header 'Authorization: Bearer <token>'{
"task_id": 95157322514444,
"status": "Processing",
"file_id": 95157322514496,
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Note: This API allows a maximum of 10 queries per second.
Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, can be found in Account Management>API Keys.
Query Parameters
The task ID returned when the task was submitted.
Response
200 - application/json
The task ID.
The current status of the task.
- Processing: The task is still being processed
- Success: The task has completed successfully
- Failed: The task failed
- Expired: The task has expired
Available options:
success, failed, expired, processing The ID of the audio file generated when the task was created. Once the task is complete, you can use the file_id to download the file via the File(Retrieve) API.
This field will not be returned if the request encounters an error.
Note: The returned download URL is valid for 9 hours (32,400 seconds) from the time it is generated.
Status code and details.
Show child attributes
Show child attributes
⌘I